This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 831772 - (CVE-2012-2697) CVE-2012-2697 autofs: denial of service when using an LDAP-based automount map
CVE-2012-2697 autofs: denial of service when using an LDAP-based automount map
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130107,reported=2...
: Security
Depends On: 826633
Blocks: 816611 831778
  Show dependency treegraph
 
Reported: 2012-06-13 14:25 EDT by Vincent Danen
Modified: 2016-11-08 10:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 04:15:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-06-13 14:25:01 EDT
Due to a problem with the patch used to correct a problem with LDAP servers not correctly returning an opaque cookie to check for additional results when getting paged results from a server on 64-bit PowerPC and IBM System z platforms (RHBA-2012:0264), it was possible for a user to cause a denial of service of the autofs service.  While this may not impact mounts that have already been mounted (other than preventing mount expiration), it will prevent any future mount requests from being processed until autofs is restarted.
Comment 3 Murray McAllister 2012-11-21 22:25:41 EST
Acknowledgements:

Red Hat would like to thank Ray Rocker for reporting this issue.
Comment 4 errata-xmlrpc 2013-01-08 00:14:07 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0132 https://rhn.redhat.com/errata/RHSA-2013-0132.html

Note You need to log in before you can comment on or make changes to this bug.